-- Script containing customer specific configuration sql statements for GVBA 
-- Gemeentelijk vervoersBedrijf Amsterdam
-- (c) 2006 Dijkoraad Informatie Technologie BV
-- $Revision$
-- Support: +31 53 4800700

--
-- 
--
SET ECHO ON
SPOOL xgvba_init
SHOW USER
-- Tables and procedures for Import/koppelingen


-- Dummy kostenplaats voor afdelingen
INSERT INTO PRS_KOSTENPLAATS ( PRS_KOSTENPLAATS_NR, PRS_KOSTENPLAATS_OMSCHRIJVING,
PRS_KOSTENPLAATS_MODULE ) VALUES ( 
'00000', NULL, 'PRS'); 
COMMIT;



INSERT INTO PRS_KENMERK ( PRS_KENMERK_NIVEAU, PRS_KENMERK_VOLGNR, PRS_KENMERK_OMSCHRIJVING,
PRS_KENMERK_HINT, PRS_KENMERK_DEFAULT, PRS_KENMERK_DIMENSIE, PRS_KENMERK_KENMERKTYPE,
PRS_KENMERK_SYSTEEM, PRS_KENMERK_LENGTE, PRS_KENMERK_DEC, PRS_KENMERK_NMIN,
PRS_KENMERK_NMAX ) VALUES ( 
'P', 10, 'Mobile', NULL, NULL, NULL, 'C', NULL, 15, NULL, NULL, NULL); 
INSERT INTO PRS_KENMERK ( PRS_KENMERK_NIVEAU, PRS_KENMERK_VOLGNR, PRS_KENMERK_OMSCHRIJVING,
PRS_KENMERK_HINT, PRS_KENMERK_DEFAULT, PRS_KENMERK_DIMENSIE, PRS_KENMERK_KENMERKTYPE,
PRS_KENMERK_SYSTEEM, PRS_KENMERK_LENGTE, PRS_KENMERK_DEC, PRS_KENMERK_NMIN,
PRS_KENMERK_NMAX ) VALUES ( 
'P', 20, 'Grip', NULL, NULL, NULL, 'C', NULL, 15, NULL, NULL, NULL); 
INSERT INTO PRS_KENMERK ( PRS_KENMERK_NIVEAU, PRS_KENMERK_VOLGNR, PRS_KENMERK_OMSCHRIJVING,
PRS_KENMERK_HINT, PRS_KENMERK_DEFAULT, PRS_KENMERK_DIMENSIE, PRS_KENMERK_KENMERKTYPE,
PRS_KENMERK_SYSTEEM, PRS_KENMERK_LENGTE, PRS_KENMERK_DEC, PRS_KENMERK_NMIN,
PRS_KENMERK_NMAX ) VALUES ( 
'P', 40, 'LocatieCode', NULL, NULL, NULL, 'C', NULL, 30, NULL, NULL, NULL); 
INSERT INTO PRS_KENMERK ( PRS_KENMERK_NIVEAU, PRS_KENMERK_VOLGNR, PRS_KENMERK_OMSCHRIJVING,
PRS_KENMERK_HINT, PRS_KENMERK_DEFAULT, PRS_KENMERK_DIMENSIE, PRS_KENMERK_KENMERKTYPE,
PRS_KENMERK_SYSTEEM, PRS_KENMERK_LENGTE, PRS_KENMERK_DEC, PRS_KENMERK_NMIN,
PRS_KENMERK_NMAX ) VALUES ( 
'P', 50, 'GebouwCode', NULL, NULL, NULL, 'C', NULL, 30, NULL, NULL, NULL); 
INSERT INTO PRS_KENMERK ( PRS_KENMERK_NIVEAU, PRS_KENMERK_VOLGNR, PRS_KENMERK_OMSCHRIJVING,
PRS_KENMERK_HINT, PRS_KENMERK_DEFAULT, PRS_KENMERK_DIMENSIE, PRS_KENMERK_KENMERKTYPE,
PRS_KENMERK_SYSTEEM, PRS_KENMERK_LENGTE, PRS_KENMERK_DEC, PRS_KENMERK_NMIN,
PRS_KENMERK_NMAX ) VALUES ( 
'P', 60, 'VerdiepingCode', NULL, NULL, NULL, 'C', NULL, 30, NULL, NULL, NULL); 
INSERT INTO PRS_KENMERK ( PRS_KENMERK_NIVEAU, PRS_KENMERK_VOLGNR, PRS_KENMERK_OMSCHRIJVING,
PRS_KENMERK_HINT, PRS_KENMERK_DEFAULT, PRS_KENMERK_DIMENSIE, PRS_KENMERK_KENMERKTYPE,
PRS_KENMERK_SYSTEEM, PRS_KENMERK_LENGTE, PRS_KENMERK_DEC, PRS_KENMERK_NMIN,
PRS_KENMERK_NMAX ) VALUES ( 
'P', 70, 'RuimteNr', NULL, NULL, NULL, 'C', NULL, 30, NULL, NULL, NULL); 
INSERT INTO PRS_KENMERK ( PRS_KENMERK_NIVEAU, PRS_KENMERK_VOLGNR, PRS_KENMERK_OMSCHRIJVING,
PRS_KENMERK_HINT, PRS_KENMERK_DEFAULT, PRS_KENMERK_DIMENSIE, PRS_KENMERK_KENMERKTYPE,
PRS_KENMERK_SYSTEEM, PRS_KENMERK_LENGTE, PRS_KENMERK_DEC, PRS_KENMERK_NMIN,
PRS_KENMERK_NMAX ) VALUES ( 
'P', 80, 'Kostenplaats', NULL, NULL, NULL, 'C', NULL, 30, NULL, NULL, NULL); 



--
--
--
-- Import van Organisatiegegevens
--
--
--

INSERT INTO PRS_BEDRIJF ( PRS_BEDRIJF_NAAM, PRS_BEDRIJF_NAAM_UPPER, PRS_BEDRIJF_POST_ADRES,
PRS_BEDRIJF_POST_POSTCODE, PRS_BEDRIJF_POST_PLAATS, PRS_BEDRIJF_POST_LAND, PRS_BEDRIJF_BEZOEK_ADRES,
PRS_BEDRIJF_BEZOEK_POSTCODE, PRS_BEDRIJF_BEZOEK_PLAATS, PRS_BEDRIJF_BEZOEK_LAND,
PRS_BEDRIJF_TELEFOON, PRS_BEDRIJF_FAX, PRS_BEDRIJF_TELEFOON2, PRS_BEDRIJF_CONTACT_PERSOON,
PRS_BEDRIJF_CONTACT_TELEFOON, PRS_BEDRIJF_CONTACT_FAX, PRS_BEDRIJF_OPMERKING,
PRS_BEDRIJF_OPMERKING2, PRS_BEDRIJF_UURLOON, PRS_LEVERANCIER_NR, PRS_OVEREENKOMST_NR,
PRS_OVEREENKOMST_DATUM, PRS_BEDRIJF_LEVERANCIER, PRS_BEDRIJF_UITVOERENDE, PRS_BEDRIJF_CONTRACT,
PRS_BEDRIJF_INTERN, PRS_BEDRIJF_HUURDER, PRS_BEDRIJF_EMAIL, PRS_BEDRIJF_XSL,
PRS_BEDRIJF_ORDER_ADRES, PRS_BEDRIJF_IMAGE_LOC, PRS_BEDRIJF_DETAILS_LOC, MLD_ADRES_KEY_LEV,
MLD_ADRES_KEY_FAC, PRS_BEDRIJF_INGIDS ) VALUES ( 
'GVBA', 'Gemeentevervoerbedrijf Amsterdam ', NULL, NULL, NULL, NULL, NULL, NULL
, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,  TO_Date( '07/20/2006 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 1, 1, NULL, 1, NULL, NULL, 'XSL/CUST.XSL', NULL, NULL, NULL, NULL, NULL, NULL); 
COMMIT;

INSERT INTO PRS_AFDELING ( PRS_BEDRIJF_KEY, PRS_AFDELING_NAAM ) VALUES ( 
1, 'Onbekend'); 
COMMIT;


CREATE TABLE gvba_imp_organisatie_file
(
  imp_index  NUMBER(10),
  imp_line   VARCHAR2(1000 BYTE)
);

CREATE TABLE gvba_imp_organisatie
(
  code VARCHAR2(10),
  omschrijving VARCHAR2(60),
  pcode VARCHAR2(10),     -- nivo 2
  ppcode VARCHAR2(10),    -- nivo 3
  pppcode VARCHAR2(10),   -- nivo 4  
  ppppcode VARCHAR2(10),  -- nivo 5  
  pppppcode VARCHAR2(10)  -- kan niet, ter indicatie dat de maximale   
);



--
--
--
-- Import van Persoonsgegevens
--
--
--

CREATE TABLE gvba_imp_persoon_file
(
  imp_index  NUMBER(10),
  imp_line   VARCHAR2(1000 BYTE)
);

CREATE TABLE gvba_imp_persoon
(
  personeelsnummer VARCHAR2(200),
  achternaam      VARCHAR2(200),
  voornaam        VARCHAR2(200),
  tussenvoegsels  VARCHAR2(200),
  voorletters     VARCHAR2(200),
  telefoon        VARCHAR2(200),
  mobiel          VARCHAR2(200),
  grip            VARCHAR2(200),
  login           VARCHAR2(200),
  email           VARCHAR2(200),
  functie         VARCHAR2(200),
  organisatiecode VARCHAR2(200),
  kostenplaats    VARCHAR2(200),
  datum_indienst  VARCHAR2(200),
  datum_uitdienst VARCHAR2(200),
  locatie_code    VARCHAR2(200),
  gebouw_code     VARCHAR2(200),
  verdieping_code VARCHAR2(200),
  ruimte_nr       VARCHAR2(200)
);

commit;

SPOOL OFF


